<template>
    <div class="default-main device pd10">
        <waveForm ref="waveFormRef" />

    </div>
</template>
<script lang="ts" setup>
import { ref, onMounted, watch, nextTick } from 'vue'

import waveForm from '@/components/echarts/waveForm.vue'
import { useRoute } from 'vue-router'
const route = useRoute()
const activeName = ref('')
const waveFormRef = ref()
watch(
    () => activeName.value,
    (val, oldVal) => {
        
        nextTick(() => {
            // waveFormRef.value && waveFormRef.value.getMakeUpDataList(route.query)
        })
    },
    {
        immediate: true,
        deep: true
    }
)
onMounted(() => {

    // activeName.value = route.query.activeName
    // waveForm.value && waveForm.value.getMakeUpDataList(route.query)
})
</script>
<style lang="scss" scoped>
.device {
    overflow: hidden;
    // height: calc(100vh - 130px);
}
</style>
